<?php
/**
 * This file is part of FacetWP Carousel.
 *
 * FacetWP Carousel is free software: you can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public
 * License as published by the Free Software Foundation, either
 * version 3 of the License, or (at your option) any later version.
 *
 * FacetWP Carousel is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with FacetWP Carousel.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Plugin Name:     FacetWP Carousel
 * Plugin URI:      https://plugins.tandem.ws/facetwp-carousel
 * Description:     Simple post carousels based on FacetWP’s templates.
 * Version:         2023050900
 * Author:          Tandem
 * Author URI:      https://tandem.blog/
 * Text Domain:     facetwp-carousel
 * Domain Path:     /languages
 * Requires PHP:    7.4
 * Requires WP:     5.5.0
 * License:         AGPL-3.0-or-later
 * License URI:     https://www.gnu.org/licenses/agpl-3.0.html
 * Namespace:       FacetWPCarousel
 */

declare( strict_types=1 );

use FacetWPCarousel\Bootstrap;

require __DIR__ . '/vendor/autoload.php';

add_action(
	'plugins_loaded',
	static function () {
		try {
			new Bootstrap( __FILE__ );
		} catch ( Exception $e ) {
			wp_die( __( 'FacetWP Carousel is unable to run its Bootstrap class.', 'facetwp-carousel' ) );
		}
	}
);
